Explore our Marketplace to buy and sell APIs, services, and social media solutions. Connect with a vibrant community of developers, businesses, and creators!
/shortcode_to_media_id 接口从短码转换获得https://www.instagram.com/p/DUajw4YkorV/,支持 /p/、/reel/、/reels/、/tv/ 路径data.items: 帖子信息列表(通常只有一个元素)id: 帖子IDcode: 帖子短代码media_type: 媒体类型(1=图片, 2=视频, 8=合集)like_count: 点赞数comment_count: 评论数caption.text: 帖子文本user: 发布者信息image_versions2: 图片版本列表video_versions: 视频版本列表(视频时存在)carousel_media: 合集媒体列表(合集时存在)taken_at: 发布时间戳/shortcode_to_media_id endpointhttps://www.instagram.com/p/DUajw4YkorV/, supports /p/, /reel/, /reels/, /tv/ pathsdata.items: Post info list (usually only one element)id: Post IDcode: Post shortcodemedia_type: Media type (1=image, 2=video, 8=carousel)like_count: Likes countcomment_count: Comments countcaption.text: Post caption textuser: Publisher infoimage_versions2: Image version listvideo_versions: Video version list (exists for videos)carousel_media: Carousel media list (exists for carousels)taken_at: Published timestamp# by media_id
media_id = "3850699893338385742"
# by url
url = "https://www.instagram.com/p/DUajw4YkorV/"Authorization: Bearer ********************curl --location 'https://api.tikhub.io/api/v1/instagram/v3/get_post_info?media_id=3850699893338385742&url=https%3A%2F%2Fwww.instagram.com%2Fp%2FDUajw4YkorV%2F' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"request_id": "string",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "string",
"time_stamp": 0,
"time_zone": "America/Los_Angeles",
"docs": "string",
"cache_message": "string",
"cache_message_zh": "string",
"cache_url": "string",
"router": "",
"params": {},
"data": null
}